package com.yem.wm.bc.common.enums;

/**
 * @author 夜子
 * @ClassName BillStatusEnum
 * @description: 单据状态枚举
 * @date 2023年08月03日
 * @version: 1.0
 */
public enum BillStatusEnum {
    SAVE(new MultiLangEnumBridge("保存", "BillStatusEnum_1", "yem-yc-common"), "A"),
    SUBMIT(new MultiLangEnumBridge("已提交", "BillStatusEnum_2", "yem-yc-common"), "B"),
    AUDIT(new MultiLangEnumBridge("已审核", "BillStatusEnum_3", "yem-yc-common"), "C");

    private MultiLangEnumBridge bridge = null;
    private String value;

    private BillStatusEnum(MultiLangEnumBridge bridge, String value) {
        this.bridge = bridge;
        this.value = value;
    }

    public String getName() {
        return this.bridge.loadKDString();
    }

    public String getValue() {
        return this.value;
    }

    public static String getName(String value) {
        String name = null;
        BillStatusEnum[] var2 = values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            BillStatusEnum status = var2[var4];
            if (status.getValue().equals(value)) {
                name = status.getName();
                break;
            }
        }

        return name;
    }
}
